=begin
#ChannelShipper & Royal Mail Public API

#Import your orders, retrieve your orders and generate labels.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

# Common files
require 'royal_mail/api_client'
require 'royal_mail/api_error'
require 'royal_mail/version'
require 'royal_mail/configuration'

# Models
require 'royal_mail/models/address_request'
require 'royal_mail/models/billing_details_request'
require 'royal_mail/models/create_manifests_error'
require 'royal_mail/models/create_manifests_error_response'
require 'royal_mail/models/create_manifests_request'
require 'royal_mail/models/create_manifests_response'
require 'royal_mail/models/create_order_error_response'
require 'royal_mail/models/create_order_label_error_response'
require 'royal_mail/models/create_order_request'
require 'royal_mail/models/create_order_response'
require 'royal_mail/models/create_orders_request'
require 'royal_mail/models/create_orders_response'
require 'royal_mail/models/delete_orders_resource'
require 'royal_mail/models/deleted_order_info'
require 'royal_mail/models/dimensions_request'
require 'royal_mail/models/error_response'
require 'royal_mail/models/failed_order_response'
require 'royal_mail/models/get_manifest_order'
require 'royal_mail/models/get_manifest_response'
require 'royal_mail/models/get_order_details_resource'
require 'royal_mail/models/get_order_info_resource'
require 'royal_mail/models/get_order_line_result'
require 'royal_mail/models/get_orders_details_response'
require 'royal_mail/models/get_orders_response'
require 'royal_mail/models/get_postal_details_result'
require 'royal_mail/models/get_shipping_details_result'
require 'royal_mail/models/get_tag_details_result'
require 'royal_mail/models/get_version_resource'
require 'royal_mail/models/label_generation_request'
require 'royal_mail/models/order_error_info'
require 'royal_mail/models/order_error_response'
require 'royal_mail/models/order_field_response'
require 'royal_mail/models/order_update_error'
require 'royal_mail/models/postage_details_request'
require 'royal_mail/models/product_item_request'
require 'royal_mail/models/recipient_details_request'
require 'royal_mail/models/sender_details_request'
require 'royal_mail/models/shipment_package_request'
require 'royal_mail/models/tag_request'
require 'royal_mail/models/update_order_status_request'
require 'royal_mail/models/update_order_status_response'
require 'royal_mail/models/update_orders_status_request'
require 'royal_mail/models/updated_order_info'

# APIs
require 'royal_mail/api/labels_api'
require 'royal_mail/api/orders_api'
require 'royal_mail/api/version_api'

module RoyalMail
  class << self
    # Customize default settings for the SDK using block.
    #   RoyalMail.configure do |config|
    #     config.username = "xxx"
    #     config.password = "xxx"
    #   end
    # If no block given, return the default Configuration object.
    def configure
      if block_given?
        yield(Configuration.default)
      else
        Configuration.default
      end
    end
  end
end
